package domain

type TaobaoItemOriginAsyncSourceItemInfoDTO struct {
	/*
	   上游商品ID     */
	ItemId *string `json:"item_id,omitempty" `

	/*
	   上游商品最高价(分)     */
	ItemHighestPrice *int64 `json:"item_highest_price,omitempty" `

	/*
	   上游商品最低价(分)     */
	ItemLowestPrice *int64 `json:"item_lowest_price,omitempty" `

	/*
	   上游商品店铺ID     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   上游商品平台     */
	Type *string `json:"type,omitempty" `

	/*
	   上游商品URL     */
	ItemUrl *string `json:"item_url,omitempty" `
}

func (s *TaobaoItemOriginAsyncSourceItemInfoDTO) SetItemId(v string) *TaobaoItemOriginAsyncSourceItemInfoDTO {
	s.ItemId = &v
	return s
}
func (s *TaobaoItemOriginAsyncSourceItemInfoDTO) SetItemHighestPrice(v int64) *TaobaoItemOriginAsyncSourceItemInfoDTO {
	s.ItemHighestPrice = &v
	return s
}
func (s *TaobaoItemOriginAsyncSourceItemInfoDTO) SetItemLowestPrice(v int64) *TaobaoItemOriginAsyncSourceItemInfoDTO {
	s.ItemLowestPrice = &v
	return s
}
func (s *TaobaoItemOriginAsyncSourceItemInfoDTO) SetShopId(v string) *TaobaoItemOriginAsyncSourceItemInfoDTO {
	s.ShopId = &v
	return s
}
func (s *TaobaoItemOriginAsyncSourceItemInfoDTO) SetType(v string) *TaobaoItemOriginAsyncSourceItemInfoDTO {
	s.Type = &v
	return s
}
func (s *TaobaoItemOriginAsyncSourceItemInfoDTO) SetItemUrl(v string) *TaobaoItemOriginAsyncSourceItemInfoDTO {
	s.ItemUrl = &v
	return s
}
